Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Data Fields
proofs::QuadCircuit< Field > Class Template Reference
Collaboration diagram for proofs::QuadCircuit< Field >:
[legend]

## Public Types
using | Elt = typename Field::Elt
using | nodeinfo = NodeInfoF<Field>
using | node = NodeF<Field>
using | size_t_for_storage = term::size_t_for_storage
using | quad_corner_t = typename Quad<Field>::quad_corner_t

## Public Member Functions
| QuadCircuit (const Field &f)
size_t | linear (size_t op0)
size_t | linear (const Elt &k, size_t op0)
size_t | mul (const Elt &k, size_t op)
size_t | mul (size_t op0, size_t op1)
size_t | mul (const Elt &k, size_t op0, size_t op1)
size_t | add (size_t op0, size_t op1)
size_t | sub (size_t op0, size_t op1)
size_t | konst (const Elt &k)
size_t | assert0 (size_t op)
size_t | axpy (size_t y, const Elt &a, size_t x)
size_t | apy (size_t y, const Elt &a)
size_t | input ()
void | private_input ()
void | begin_full_field ()
size_t | ninput () const
void | output (size_t n, size_t wire_id)
std::unique_ptr< Circuit< Field > > | mkcircuit (size_t nc)

## Data Fields
const Field & | f_
size_t | ninput_
size_t | npub_input_
size_t | subfield_boundary_
size_t | noutput_
size_t | depth_
size_t | nwires_cse_eliminated_
size_t | nwires_not_needed_
size_t | nwires_
size_t | nquad_terms_
size_t | nwires_overhead_

The documentation for this class was generated from the following file:

- lib/circuits/compiler/compiler.h